Macros | Enumerations | Functions
example_detector_presence.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_detector_presence.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`

Go to the source code of this file.

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (2000U)
#define | DEFAULT_PRESET_CONFIG PRESENCE_PRESET_CONFIG_MEDIUM_RANGE

## Enumerations
enum | presence_preset_config_t { PRESENCE_PRESET_CONFIG_NONE = 0, PRESENCE_PRESET_CONFIG_SHORT_RANGE, PRESENCE_PRESET_CONFIG_MEDIUM_RANGE, PRESENCE_PRESET_CONFIG_LONG_RANGE, PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP, PRESENCE_PRESET_CONFIG_NONE = 0, PRESENCE_PRESET_CONFIG_SHORT_RANGE, PRESENCE_PRESET_CONFIG_MEDIUM_RANGE, PRESENCE_PRESET_CONFIG_LONG_RANGE, PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP, PRESENCE_PRESET_CONFIG_NONE = 0, PRESENCE_PRESET_CONFIG_SHORT_RANGE, PRESENCE_PRESET_CONFIG_MEDIUM_RANGE, PRESENCE_PRESET_CONFIG_LONG_RANGE, PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP, PRESENCE_PRESET_CONFIG_NONE = 0, PRESENCE_PRESET_CONFIG_SHORT_RANGE, PRESENCE_PRESET_CONFIG_MEDIUM_RANGE, PRESENCE_PRESET_CONFIG_LONG_RANGE, PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP }

## Functions
static bool | do_sensor_calibration (acc_sensor_t *sensor, acc_cal_result_t *cal_result, void *buffer, uint32_t buffer_size)
static void | print_result (acc_detector_presence_result_t *result)
static void | cleanup (acc_detector_presence_handle_t *presence_handle, acc_detector_presence_config_t *presence_config, acc_sensor_t *sensor, void *buffer)
static void | set_config (acc_detector_presence_config_t *presence_config, presence_preset_config_t preset)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ DEFAULT_PRESET_CONFIG

#define DEFAULT_PRESET_CONFIG PRESENCE_PRESET_CONFIG_MEDIUM_RANGE

Examples
  example_detector_presence.c.

Definition at line 52 of file example_detector_presence.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_detector_presence.c.

Definition at line 49 of file example_detector_presence.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (2000U)

Examples
  example_detector_presence.c.

Definition at line 50 of file example_detector_presence.c.

## Enumeration Type Documentation

## ◆ presence_preset_config_t

enum presence_preset_config_t

Enumerator
PRESENCE_PRESET_CONFIG_NONE |
PRESENCE_PRESET_CONFIG_SHORT_RANGE |
PRESENCE_PRESET_CONFIG_MEDIUM_RANGE |
PRESENCE_PRESET_CONFIG_LONG_RANGE |
PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP |
PRESENCE_PRESET_CONFIG_NONE |
PRESENCE_PRESET_CONFIG_SHORT_RANGE |
PRESENCE_PRESET_CONFIG_MEDIUM_RANGE |
PRESENCE_PRESET_CONFIG_LONG_RANGE |
PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP |
PRESENCE_PRESET_CONFIG_NONE |
PRESENCE_PRESET_CONFIG_SHORT_RANGE |
PRESENCE_PRESET_CONFIG_MEDIUM_RANGE |
PRESENCE_PRESET_CONFIG_LONG_RANGE |
PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP |
PRESENCE_PRESET_CONFIG_NONE |
PRESENCE_PRESET_CONFIG_SHORT_RANGE |
PRESENCE_PRESET_CONFIG_MEDIUM_RANGE |
PRESENCE_PRESET_CONFIG_LONG_RANGE |
PRESENCE_PRESET_CONFIG_LOW_POWER_WAKEUP |

Examples
  example_detector_presence.c.

Definition at line 40 of file example_detector_presence.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Touchless button application.

Tank level reference application.

Smart presence reference application.

Parking application.

Breathing example application.

Waste level application.

Vibration example.

Surface velocity example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service sensor calibration caching example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

hand motion application

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Detector distance example with iq data print.

Distance detector low power example.

Detector distance with calibration caching example.

Detector distance example.

Control helper example.

Cargo application.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Examples
  example_detector_presence.c.

Definition at line 67 of file example_detector_presence.c.

## ◆ cleanup()

static void cleanup | ( | acc_detector_presence_handle_t * | presence_handle,
|  | acc_detector_presence_config_t * | presence_config,
|  | acc_sensor_t * | sensor,
|  | void * | buffer
| ) |  |
| static

Examples
  example_detector_presence.c.

Definition at line 226 of file example_detector_presence.c.

## ◆ do_sensor_calibration()

static bool do_sensor_calibration | ( | acc_sensor_t * | sensor,
|  | acc_cal_result_t * | cal_result,
|  | void * | buffer,
|  | uint32_t | buffer_size
| ) |  |
| static

Examples
  example_detector_presence.c.

Definition at line 255 of file example_detector_presence.c.

## ◆ print_result()

static void print_result | ( | acc_detector_presence_result_t * | result | ) |
| static

Examples
  example_detector_presence.c.

Definition at line 289 of file example_detector_presence.c.

## ◆ set_config()

static void set_config | ( | acc_detector_presence_config_t * | presence_config,
|  | presence_preset_config_t | preset
| ) |  |
| static

Examples
  example_detector_presence.c.

Definition at line 307 of file example_detector_presence.c.